CIF2HKL(1)

NAME
cif2hkl - cif2hkl

SYNOPSIS
cif2hkl [options][-o outfile] file1 file2 ...

DESCRIPTION
Action: Read a CIF/CFL/SHX/PCR crystallographic description

    and generates a HKL F^2 reflection list.

Input:

file1...
    Input file in CIF, PCR, CFL, SHX, INS, RES format.

The file format is determined from its extension
    .CIF Crystallographic Information File .PCR/.CFL FullProf file .SHX/.INS/.RES ShelX file

Output:

    a file with readable header, and reflection list with columns

    [ H K L Multiplicity Sin(Theta/Lambda) d_spacing |F|^2 ]

Options:

--help, -h
    Show this help

--version, -v
    Display program version

--out FILE, -o FILE
    Specify the name of the next output file. Default is to add .hkl to the initial file name.

--lambda LAMBDA, -l LAMBDA
    Set the incoming probe wavelength [Angs]. Default is 0.5

--powder, -p
    Generate a list of unique HKL reflections (for powders). Default.

--xtal, -x
    Generate a list of all HKL reflections (for single crystals).

--mode MODE, -m MODE
    Generate structure factors for given probe, where MODE is NUC=neutron(default) XRA=xrays ELE=electrons

--verbose
    Display processing details.

--no-output-files
    Just read the CIF/CFL/ShelX file (for checking).

Example: ./cif2hkl --powder --mode NUC -o CaF2.laz CaF2.cfl